python-pdal_1.5.0+ds-2_i386.deb


Advertisement

Description

python-pdal - Point Data Abstraction Library - Python 2 extension

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-pdal
Package version 1.5.0+ds
Package release 2
Package architecture i386
Package type deb
Installed size 71 B
Download size 22.68 KB
Official Mirror archive.ubuntu.com
PDAL is a BSD licensed library for translating and manipulating point
cloud data of various formats. PDAL can be used to read, write and
translate point cloud data in many formats. Support is included for
input files of LAS, LAZ, SBET, BPF, QFIT and others. PDAL can also read
from and write to databases that support point cloud storage, including
Oracle, Postgres and SQLite.
PDAL should not be confused with PCL (Point Cloud Library). PCL is a
library specifically designed to provide algorithmic analysis and
modification of point clouds. PDAL provides a limited interface to the
facilities of PCL, but does not in general attempt to duplicate its
capabilities.
This package contains the PDAL extension for Python 2.

Alternatives

Package Version Architecture Repository
python-pdal_1.5.0+ds-2_amd64.deb 1.5.0+ds amd64 Ubuntu Universe
python-pdal - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libpdal-base4 >= 1.4.0
libpdal-plang4 >= 1.1.0
libstdc++6 >= 5.2
python << 2.8
python >= 2.7~
python-numpy >= 1:1.10.0~b1
python-numpy-abi9 -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pdal_1.5.0+ds-2_i386.deb
Source Package python-pdal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pdal deb package:
    # sudo apt-get install python-pdal

Files

Path
/usr/lib/python2.7/dist-packages/PDAL-1.5.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/PDAL-1.5.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/PDAL-1.5.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pdal/__init__.py
/usr/lib/python2.7/dist-packages/pdal/libpdalpython.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/pdal/pipeline.py
/usr/share/doc/python-pdal/changelog.Debian.gz
/usr/share/doc/python-pdal/copyright

Changelog

2017-06-26 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.5.0+ds-2) unstable; urgency=medium
* Bump Standards-Version to 4.0.0, no changes.
* Add autopkgtest to test installability.
* Enable PIE hardening buildflags.
2017-06-18 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.5.0+ds-1) unstable; urgency=medium
* Move from experimental to unstable.
2017-04-07 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.5.0+ds-1~exp1) experimental; urgency=medium
* New upstream release.
* Require at least PDAL 1.5.0.
* Drop skip-tests-for-missing-data.patch, applied upstream.
2017-01-23 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.4.0+ds-2) unstable; urgency=medium
* Drop python3-pdal package, libpdal-plang is built with Python 2.
2016-12-16 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.4.0+ds-1) unstable; urgency=medium
* Move from experimental to unstable.
2016-12-15 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.4.0+ds-1~exp1) experimental; urgency=medium
* New upstream release.
* Require at least PDAL 1.4.0.
* Refresh patches.
* Update copyright years in copyright file.
* Add patch to skip tests for missing test data.
2016-09-03 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.3.0+ds-1) unstable; urgency=medium
* Move from experimental to unstable.
2016-08-29 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.3.0+ds-1~exp1) experimental; urgency=medium
* New upstream release.
* Require at least PDAL 1.3.0.
* Bump Standards-Version to 3.9.8, no changes.
* Add patch to not throw exception for PDAL Python version mismatch.
2016-04-15 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.2.0+ds-1) unstable; urgency=medium
* Move from experimental to unstable.
2016-04-12 - Bas Couwenberg <sebastic@debian.org>
python-pdal (1.2.0+ds-1~exp1) experimental; urgency=medium
* New upstream release.
* Update dh_python & dh_numpy calls to act on specific package.
* Drop patches, applied upstream.
* Require at least PDAL 1.2.0.

See Also

Package Description
python-pdfkit_0.5.0-1_all.deb Python wrapper for wkhtmltopdf to convert HTML to PDF (Python 2)
python-pdfminer_20140328+dfsg-1_all.deb PDF parser and analyser
python-pdfrw-doc_0.2-3_all.deb PDF file manipulation library (documentation)
python-pdfrw_0.2-3_all.deb PDF file manipulation library (Python 2)
python-pdftools_0.37-4_all.deb PDF document reading classes
python-peak.rules_0.5a1+r2713-1_all.deb generic functions support for Python
python-peak.util.decorators_1.8-3_all.deb version-agnostic decorators support for Python
python-peak.util_20160204-1_all.deb utilities from the Python Enterprise Application Kit
python-pebl-doc_1.0.2-4_all.deb Python Environment for Bayesian Learning - documentation
python-pebl_1.0.2-4_i386.deb Python Environment for Bayesian Learning
python-pefile_2017.8.1-1_all.deb Portable Executable (PE) parsing module for Python
python-pelican_3.7.1+dfsg-1_all.deb transitional dummy package
python-pep8-naming_0.4.1-2ubuntu1_all.deb check for PEP 8 naming conventions (flake8 plugin for Python2)
python-pep8_1.7.0-4_all.deb Python PEP 8 code style checker - Python
python-persistent-doc_4.2.2-1build2_all.deb Automatic persistence for Python objects - documentation
Advertisement
Advertisement